Package org.opensaml.messaging.handler

# Interface MessageHandler

All Superinterfaces:
  `Component`, `InitializableComponent`

All Known Subinterfaces:
  `MessageHandlerChain`, `SOAPHandler`

All Known Implementing Classes:
  `AbstractHeaderGeneratingMessageHandler`, `AbstractHttpServletRequestMessageHandler`, `AbstractMessageChannelSecurity`, `AbstractMessageHandler`, `AddActionHandler`, `AddChannelBindingsHeaderHandler`, `AddConsentToResponseHandler`, `AddECPResponseHeaderHandler`, `AddGeneratedKeyHeaderHandler`, `AddMessageIDHandler`, `AddRelatesToHandler`, `AddRelayStateHeaderHandler`, `AddRequestAuthenticatedHeaderHandler`, `AddTimestampHandler`, `BaseClientCertAuthSecurityHandler`, `BaseSAMLSimpleSignatureSecurityHandler`, `BaseSAMLXMLSignatureSecurityHandler`, `BaseTrustEngineSecurityHandler`, `BasicMessageHandlerChain`, `CheckAndRecordServerTLSEntityAuthenticationtHandler`, `CheckExpectedIssuer`, `CheckMandatoryAuthentication`, `CheckMandatoryIssuer`, `CheckMessageStatusHandler`, `CheckMessageVersionHandler`, `CheckNoPassiveHandler`, `EndpointURLSchemeSecurityHandler`, `EnvelopeBodyHandler`, `ExtractChannelBindingsExtensionsHandler`, `ExtractChannelBindingsHeadersHandler`, `ExtractConsentFromRequestHandler`, `ExtractMessageIDHandler`, `ExtractProxiedRequestersHandler`, `FunctionMessageHandler`, `HttpServletRequestValidationHandler`, `InResponseToSecurityHandler`, `MessageHandlerErrorStrategyAdapter`, `MessageLifetimeSecurityHandler`, `MessageReplaySecurityHandler`, `PopulateHttpClientSecurityParametersHandler`, `PopulateSignatureSigningParametersHandler`, `PopulateSignatureValidationParametersHandler`, `ReceivedEndpointSecurityHandler`, `SAML1ArtifactRequestIssuerHandler`, `SAML2AuthnRequestsSignedSecurityHandler`, `SAML2HTTPPostSimpleSignSecurityHandler`, `SAML2HTTPRedirectDeflateSignatureSecurityHandler`, `SAMLAddAttributeConsumingServiceHandler`, `SAMLMDClientCertAuthSecurityHandler`, `SAMLMetadataLookupHandler`, `SAMLOutboundDestinationHandler`, `SAMLOutboundProtocolMessageSigningHandler`, `SAMLProtocolAndRoleHandler`, `SAMLProtocolMessageXMLSignatureSecurityHandler`, `SAMLSOAPDecoderBodyHandler`, `SchemaValidateXMLMessage`, `SimplePayloadBodyHandler`, `StaticMessageChannelSecurity`, `URLEvaluatingMessageChannelSecurity`, `ValidateActionHandler`, `WSSecuritySAML20AssertionTokenSecurityHandler`

public interface MessageHandler extends InitializableComponent
A message handler represents some reusable logic that may be invoked on a message context.

## Method Summary

Modifier and Type
Method
Description
`void`
`invoke(MessageContext messageContext)`
Invoke the handler on the specified message context.

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Method Details

### invoke

void invoke(@Nonnull MessageContext messageContext) throws MessageHandlerException
Invoke the handler on the specified message context.

Parameters:
  `messageContext` - the message context on which to invoke the handler
Throws:
  `MessageHandlerException` - if the there is an error invoking the handler on the message context